Subject: [S] Summary: MOPAC POLAR problems

From: Ernst Wallenborn <[email-masked]>
Date: Thu, 22 Feb 1996 13:56:57 +0100

Thanks to all who responded.

My original message was

----begin included message----
Hi there,

I'm trying to calculate molecular polarizabilities of medium sized
organic molecules with MOPAC 93. Typically an input deck would look
like that:

am1 polar
foo
bar
H   0.00000  0   0.00000  0   2.48400 0
C   0.00000  0   0.00000  0   1.39800 0
[...]

This works as long as i restrict the calculation to ground states
even with keywords like CISD.

However as soon as i specify ROOT=n (even with n==1) or EXCITED
the calculation fails, giving NaNs for all of the polarizabilities,
for example with

am1 polar(e=0) cisd c.i.=4 root=1 singlet

In MOPAC 6 polarizabilities used to be available for all states
and methods.

Am i doing something wrong or just something i'm not supposed
to do anyway?

----end included message----

Basically the answer to my question was: I was doing something
i was not supposed to do anyway. Henry Kurtz pointed out that
TDHF as employed in MOPAC93 does not compute CI polarizabilities:
----begin quote----
Ernst,

    The polarizability and hyperpolarizability calculations in MOPAC96
are defaulted to be done using a TDHF (freq. dep.) method.  This does
not allow anything but RHF reference states (If anything else works
it's an accident.)  
    The older versions of mopac used a finite-field procedure to 
calculate polarizabilities.  This does not allow frequency dependent
calculations but does allow any type of reference state.
    If it wasn't done, it should be possible to have both methods 
available but that's up to Jimmy Stewart to work out.
    If you have any questions about these methods, let me know.  My
group
wrote the code that is in the MOPAC programs.

                  Henry
----end quote----

In the documentation of MOPAC7 it is mentioned that 
switching between the two methods should be possible. 
However the MOPAC7 source code made no provisions for
this, and the MOPAC93 documentation doesn't even mention 
it anymore. 

So all CI polarizabilities have to be done in MOPAC6.

BTW, the bug reported in (Stewart, CCL:13-DEC-1994) is still
there. I got MOPAC93 from QCPE four weeks ago, and had to
patch i. (Thanks to Steve Bowlus for giving me this information.)

-- 
-ernst wallenborn.

i'm not a bug.
i'm an undocumented feature.